# -*- coding: utf-8 -*-
##----------------------------------------------------------------------
## NAG.ERD.get_config
##----------------------------------------------------------------------
## Copyright (C) 2007-2014 The NOC Project
## See LICENSE for details
##----------------------------------------------------------------------

## Python modules
import lxml.html
## NOC modules
from noc.sa.script import Script as NOCScript
from noc.sa.interfaces import IGetConfig


class Script(NOCScript):
    name = "NAG.ERD.get_config"
    implements = [IGetConfig]
    TIMEOUT = 300

    def execute(self):
        r = ''
        # Try SNMP first
        """
        if self.snmp and self.access_profile.snmp_ro:
            try:
                snmpwalk = self.snmp.getnext("1.3.6.1", cached=True)
                return snmpwalk
            except self.snmp.TimeOutError:
                pass
        """

        # Fallback to HTTP
        for url in ["/top.html", "/main.html", "/sstat=1", "/sopt=1",
            "/ptconf=1", "/ipconf=1"]:
            root = lxml.html.fromstring(self.http.get(url))
            r += root.text_content() + '\n\n'
        return r
